﻿"use strict";
var tinymce = tinymce || {};

//Register the plugin
tinymce.PluginManager.add('testvoiceplugin', function (editor, url) {
    // Add a button that opens a window
    editor.addButton('testvoiceplugin', {
        title: 'Test Voice',
        text: 'Test Voice',
        icon: false,
        onclick: function () {
            var content = editor.getContent();
            var msg = new SpeechSynthesisUtterance();
            msg.text = '<?xml version="1.0"?>\r\n<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis" xml:lang="en-US">' + content + '</speak>';
            msg.lang = 'en';
            speechSynthesis.speak(msg);
        }
    });

    return {
        getMetadata: function () {
            return {
                name: 'Test Voice plugin',
                url: 'https://cdisol.blog'
            };
        }
    };
});